Mark an invoice as partially paid

Deprecated

Deprecated. Use POST /payment_records to record an invoice payment.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
amount_paidintegerRequired>=1

How much has been paid on the invoice (in minor units).

commentstringOptional
Optional comment explaining how the payment was made.

Response

Successful Response
quoteobject
OR
invoiceobject
OR
credit_noteobject

Errors

400
Post Receivables ID Mark as Partially Paid Request Bad Request Error
401
Post Receivables ID Mark as Partially Paid Request Unauthorized Error
403
Post Receivables ID Mark as Partially Paid Request Forbidden Error
404
Post Receivables ID Mark as Partially Paid Request Not Found Error
409
Post Receivables ID Mark as Partially Paid Request Conflict Error
422
Post Receivables ID Mark as Partially Paid Request Unprocessable Entity Error
429
Post Receivables ID Mark as Partially Paid Request Too Many Requests Error